DEBUG = True
HOST = '0.0.0.0'
PORT = 5000
VERSION_NAME = 'Boskop'

SECRET_KEY = 'fillme'

LDAP_SERVER = 'ldaps://kit-ldap-01.scc.kit.edu:636'
LDAP_BIND_USER = 'uid=scc-net-test-und-niemals-produktion,ou=ProxyUser,ou=IDM,dc=kit,dc=edu'
LDAP_BIND_PW = ''
LDAP_SEARCH_BASE = 'ou=unix,ou=IDM,dc=kit,dc=edu'

WAPI_CERT = 'wapi.pem'
WAPI_KEY = 'wapi.key'

MACFINDER_CERT = ''
MACFINDER_KEY = ''
MACFINDER_SERVER_URL = 'https://net-finder.tmn.scc.kit.edu/'

IP_CONTACT_SMARTHOST = 'fillme.example'
IP_CONTACT_FROM_ADDR = 'noreply@netvs.scc.kit.edu'

## Use Netapi as login (+ldap)
LOGIN_MODULE = 'net_suite.modules.login_api'
LOGIN_URL = 'login_api.login'

## Use PGDB as login (+ldap)
# LOGIN_MODULE = 'net_suite.modules.login_db'
# LOGIN_URL = 'login_db.login'

# moduels ans their 'mountpoints'
MODULES = []

JS_MODULES = [
    'DNSVS',
    'MACAuth'
]

MINIDHCPVS_DB = 'mac_addrs'
MINIDHCPVS_USER = 'lease_reader'
MINIDHCPVS_HOST = 'host'
MINIDHCPVS_PORT = 5432
MINIDHCPVS_PW = 'pw'

PATCH_REQUEST_MAIL_SENDER = 'noreply@netvs.scc.kit.edu'
PATCH_REQUEST_MAIL_RECEIVERS = ['gj4210@partner.kit.edu']

DBRT_INPUTS = {
    'SRV': {'l': [{'label': 'Dienst', 'placeholder': '_Dienst._Protokoll.Domain'}],
            'r': [{'label': 'Priorität, Gewicht, Port', 'placeholder': 'Priorität Gewicht Port'},
                  {'placeholder': '', 'label': 'Server'}]}}
DEFAULT_DBRT_INPUTS = {
    'l': [{'label': 'FQDN', 'placeholder': ''}], 'r': [{'placeholder': '', 'label': 'RR-Data'}]
}
